/*

Copyright (c) 2023 Epson Direct Corp. All rights reserved.

*/

#pragma once

#ifdef __cplusplus
extern "C" {  // only need to export C interface if
			          // used by C++ source code
#endif

	typedef struct _CheckDeviceStatus {
		int ParentHUB;					// Parent USB HUB status
		int ChildHUB;					// Child USB HUB status
		int GChildHUB;					// Grandchild USB HUB status
		int COMic;							// COM IC status
		int LANic;							// LAN IC status
		int HDMIic;							// HDMI IC status
		char Total[7];						// Total HUB and IC status
	}CHECKDEVICESTATUS, *PCHECKDEVICESTATUS;

	__declspec(dllexport) int WINAPI HW_RESET(void);
	__declspec(dllexport) bool WINAPI CHECK_DEVICE_STATUS(PCHECKDEVICESTATUS devstatus);

#ifdef __cplusplus
}
#endif